By now, you would already have access to a unix computer: either your own, or a shell provided by IRCNow or Lecturify.
PROMPT: Please confirm this, and log in.
----
The prompt reads "pcname$". The "$" means you are logged in as a user who is not a superuser.
When you are logged in as root, it would say "pcname#".
PROMPT: Tell me what your prompt says now.
----
How does this work?
You write a command and press Enter. Then it shows you the output.
For example, write 'ls', it will show you list of files in current directory.
PROMPT: How many files have you got?
----
Some commands take a parameter. 
For example, 'ls /home' shows you list of files in the /home directory.
When no parameter is given, it shows list of files in current directory.
PROMPT: Try it and see. Tell me what directories you see in /home.
----
Some commands return an error. For example, 'ls /hom' will not work,
PROMPT: as the directory does not exist. What is the text of the error?
----
Another example of a command is 'tail'. It shows last few lines of a 
file. Try "cat /etc/hdparm.conf" to see the entire file, and
"tail /etc/hdparm.conf" to see only the last sevreal lines.
PROMPT: How many last lines are shown?
----
Some commands accept various parameters, and to differ between them,
command *switches* are used. For example, "tail -n 4 /etc/hdparm.conf"
says two things: to show last 4 lines, and to work with file
/etc/hdparm.conf.
PROMPT:  Please try this command with different numbers.
----
It would be confusing, for example, to write 
"tail 4 /etc/hdparm.conf", as then it would be easy for users to remember
which one is the file name and which one is the number of lines.
PROMPT: This is why these switches exist.
----
Some commands are interactive. For example, "less /etc/hdparm.conf"
allows you to read the file and scroll up and down using k and j.
PROMPT: Try it. Then use 'esc' key to exit.
----
Another useful utility is a pipe. It allows to pass output of one 
command to another command. For example, 
 tail -n 4 /etc/hdparm.conf | head -n 2
will first extract 4 last lines from hdparm.conf, and then pass them to
'head' -- a command which outputs a number of first lines. So,
the first two lines out of the last four will be shown. What are they?
PROMPT: Experiment with different numbers.
----
To know more about a command, write 'man <command name>'. For example,
'man ls'.
PROMPT:  What command switch sorts the output by time?
----
The unix101(lecturify) course is completed. Well done. 
PROMPT: Please write your feedback. Thanks.
----
